Skip to main content

Iam

View as Markdown

Resolve Group Beta

POST /api/2.0/identity/accounts/{account_id}/groups/resolve-by-external-id

Resolves a group with the given external ID from the customer's IdP. If the group does not exist, it will be created in the account. If the customer is not onboarded onto Automatic Identity Management (AIM), this will return an error.

API scopes: identity

Parameters

account_idstringpath

Required. The account ID for which the group is being resolved.

Request body

external_idstring

Required. The external ID of the group in the customer's IdP.

Response

groupobject

The group that was resolved.

Show child attributesHide child attributes
account_idstring

The parent account ID for group in <Databricks>.

group_idstring

Internal group ID of the group in <Databricks>.

external_idstring

ExternalId of the group in the customer's IdP.

group_namestring

Display name of the group.

Resolve Service Principal Beta

POST /api/2.0/identity/accounts/{account_id}/service-principals/resolve-by-external-id

Resolves a service principal with the given external ID from the customer's IdP. If the service principal does not exist, it will be created. If the customer is not onboarded onto Automatic Identity Management (AIM), this will return an error.

API scopes: identity

Parameters

account_idstringpath

Required. The account ID for which the service principal is being resolved.

Request body

external_idstring

Required. The external ID of the service principal in the customer's IdP.

Response

service_principalobject

The service principal that was resolved.

Show child attributesHide child attributes
account_idstring

The parent account ID for the service principal in <Databricks>.

service_principal_idstring

Internal service principal ID of the service principal in <Databricks>.

external_idstring

ExternalId of the service principal in the customer's IdP.

application_idstring

Application ID of the service principal. Set at creation time and cannot be changed afterwards; when omitted, the server generates one.

display_namestring

Display name of the service principal.

account_sp_statusstring

The activity status of a service principal in a <Databricks> account.

Values: STATE_UNSPECIFIED, ACTIVE, INACTIVE

Resolve User Beta

POST /api/2.0/identity/accounts/{account_id}/users/resolve-by-external-id

Resolves a user with the given external ID from the customer's IdP. If the user does not exist, it will be created. If the customer is not onboarded onto Automatic Identity Management (AIM), this will return an error.

API scopes: identity

Parameters

account_idstringpath

Required. The account ID for which the user is being resolved.

Request body

external_idstring

Required. The external ID of the user in the customer's IdP.

Response

userobject

The user that was resolved.

Show child attributesHide child attributes
account_idstring

The accountId parent of the user in <Databricks>.

user_idstring

Internal userId of the user in <Databricks>.

external_idstring

ExternalId of the user in the customer's IdP.

usernamestring

Username/email of the user.

full_nameobject
Show child attributesHide child attributes
given_namestring
family_namestring
account_user_statusstring

The activity status of a user in a <Databricks> account.

Values: STATE_UNSPECIFIED, ACTIVE, INACTIVE